> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/docs/mba/api-ref/knowledge-skills/list-skills.md).

# List skills

Retrieve a list of all AI skills for the specified entity.

```json
{"openapi":"3.1.0","info":{"title":"Business Agent API","version":"1.49.1"},"tags":[{"name":"Knowledge - Skills","description":"Endpoints for managing the agent's AI skills"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"knowledge_skills.BizAIOmniChannelSkillsResponse":{"description":"A single AI skill","properties":{"channel":{"enum":["email","instagram","line","messenger","sms","tiktok","unknown","webchat","whatsapp"],"type":"string"},"created_at":{"type":"integer"},"description":{"type":"string"},"id":{"type":"string"},"metadata":{"additionalProperties":{"type":"string"},"type":"object"},"skill":{"type":"string"},"title":{"type":"string"}},"required":["channel","id","skill"],"type":"object"},"knowledge_skills.StandardError":{"description":"Standard error response for Meta Business Agent endpoints","properties":{"detail":{"type":"string"},"status":{"type":"integer"},"title":{"type":"string"},"type":{"type":"string"}},"type":"object"}}},"paths":{"/agent_config/skills":{"get":{"description":"Retrieve a list of all AI skills for the specified entity.","operationId":"get-agent-config-skills","parameters":[{"description":"Meta Business Agent API version","in":"header","name":"X-API-Version","schema":{"enum":["2.0.0"],"type":"string"}},{"description":"Optional settings ID. When provided, returns skills for the specified settings. When absent, returns skills for the most recently created settings for the given channel.","in":"query","name":"agent_id","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/knowledge_skills.BizAIOmniChannelSkillsResponse"},"type":"array"}}},"description":"A list of all skills"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_skills.StandardError"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_skills.StandardError"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_skills.StandardError"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_skills.StandardError"}}},"description":"Too many requests"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/knowledge_skills.StandardError"}}},"description":"Server error"}},"summary":"List skills","tags":["Knowledge - Skills"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.360dialog.com/docs/mba/api-ref/knowledge-skills/list-skills.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
